OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
PTKernel
PShort

# PShort_HArray1OfShortReal Class Reference

`#include <PShort_HArray1OfShortReal.hxx>`

## Public Member Functions
Standard_EXPORT | PShort_HArray1OfShortReal (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | PShort_HArray1OfShortReal (const Standard_Integer Low, const Standard_Integer Up, const Standard_ShortReal &V)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_EXPORT void | SetValue (const Standard_Integer Index, const Standard_ShortReal &Value)
Standard_Integer | Upper () const
Standard_EXPORT Standard_ShortReal | Value (const Standard_Integer Index) const
virtual Standard_EXPORT Handle_Standard_Persistent | ShallowCopy () const
virtual Standard_EXPORT void | ShallowDump (Standard_OStream &s) const
| PShort_HArray1OfShortReal ()
| PShort_HArray1OfShortReal (const Storage_stCONSTclCOM &a)
Standard_Integer | _CSFDB_GetPShort_HArray1OfShortRealLowerBound () const
void | _CSFDB_SetPShort_HArray1OfShortRealLowerBound (const Standard_Integer p)
Standard_Integer | _CSFDB_GetPShort_HArray1OfShortRealUpperBound () const
void | _CSFDB_SetPShort_HArray1OfShortRealUpperBound (const Standard_Integer p)
const PShort_FieldOfHArray1OfShortReal & | _CSFDB_GetPShort_HArray1OfShortRealData () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Member Functions
Standard_EXPORT PShort_FieldOfHArray1OfShortReal | Field () const
Standard_EXPORT Standard_Address | Datas () const
## Private Attributes
Standard_Integer | LowerBound
Standard_Integer | UpperBound
PShort_FieldOfHArray1OfShortReal | Data

## Constructor & Destructor Documentation

Standard_EXPORT PShort_HArray1OfShortReal::PShort_HArray1OfShortReal | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT PShort_HArray1OfShortReal::PShort_HArray1OfShortReal | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up,
|  | const Standard_ShortReal & | V
| ) |

PShort_HArray1OfShortReal::PShort_HArray1OfShortReal | ( |  | ) | `[inline]`

PShort_HArray1OfShortReal::PShort_HArray1OfShortReal | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

## Member Function Documentation

const PShort_FieldOfHArray1OfShortReal& PShort_HArray1OfShortReal::_CSFDB_GetPShort_HArray1OfShortRealData | ( |  | ) | const`[inline]`

Standard_Integer PShort_HArray1OfShortReal::_CSFDB_GetPShort_HArray1OfShortRealLowerBound | ( |  | ) | const`[inline]`

Standard_Integer PShort_HArray1OfShortReal::_CSFDB_GetPShort_HArray1OfShortRealUpperBound | ( |  | ) | const`[inline]`

void PShort_HArray1OfShortReal::_CSFDB_SetPShort_HArray1OfShortRealLowerBound | ( | const Standard_Integer | p | ) | `[inline]`

void PShort_HArray1OfShortReal::_CSFDB_SetPShort_HArray1OfShortRealUpperBound | ( | const Standard_Integer | p | ) | `[inline]`

Standard_EXPORT Standard_Address PShort_HArray1OfShortReal::Datas | ( |  | ) | const`[private]`

Standard_EXPORT PShort_FieldOfHArray1OfShortReal PShort_HArray1OfShortReal::Field | ( |  | ) | const`[private]`

Standard_EXPORT const PShort_HArray1OfShortReal::Handle | ( | Standard_Type |  | ) | const

Standard_Integer PShort_HArray1OfShortReal::Length | ( |  | ) | const

Standard_Integer PShort_HArray1OfShortReal::Lower | ( |  | ) | const

Standard_EXPORT void PShort_HArray1OfShortReal::SetValue | ( | const Standard_Integer | Index,
|  | const Standard_ShortReal & | Value
| ) |

virtual Standard_EXPORT Handle_Standard_Persistent PShort_HArray1OfShortReal::ShallowCopy | ( |  | ) | const`[virtual]`

virtual Standard_EXPORT void PShort_HArray1OfShortReal::ShallowDump | ( | Standard_OStream & | s | ) | const`[virtual]`

Standard_Integer PShort_HArray1OfShortReal::Upper | ( |  | ) | const

Standard_EXPORT Standard_ShortReal PShort_HArray1OfShortReal::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

PShort_FieldOfHArray1OfShortReal PShort_HArray1OfShortReal::Data`[private]`

Standard_Integer PShort_HArray1OfShortReal::LowerBound`[private]`

Standard_Integer PShort_HArray1OfShortReal::UpperBound`[private]`

The documentation for this class was generated from the following file:

- PShort_HArray1OfShortReal.hxx